import { env } from '../../lib/src/unit/Scaffolding.ts'
import {ViewEngine} from '../../lib/src/const/view_engines.ts'

export default {
    name: env('APP_NAME', 'Daton'),

    views: {
        /*
         * View engine that should be used to render templates.
         * Options are Handlebars, Ejs, or Denjuck.
         */
        engine: ViewEngine.Handlebars,

        /*
         * Relative path from the app directory to the base directory where
         * view files should be looked up.
         */
        base_dir: 'http/views',

        /*
         * If using Handlebars, optionally, the path to the directory within the
         * base_dir that contains the partials. They will be automatically registered
         * with Handlebars.
         */
        partials_dir: 'partials',
    },
}
