import ResponseFactory from './ResponseFactory.ts'
import {Request} from '../Request.ts'

/**
 * Response factory that writes the given value as JSON.
 * @extends ResponseFactory
 */
export default class JSONResponseFactory extends ResponseFactory {
    constructor(
        /**
         * The value to be JSON serialized and written.
         */
        public readonly value: any
    ) {
        super()
    }

    public async write(request: Request): Promise<Request> {
        request = await super.write(request)
        request.response.headers.set('Content-Type', 'application/json')
        request.response.body = JSON.stringify(this.value)
        return request
    }
}
